FOREIGN_GUESS_WRITE(3)

EXPERIMENTAL_FUNC
foreign_guess_write - Write a data structure, guessing the output format.

SYNOPSIS
#include <karma_foreign.h>

flag foreign_guess_write

(CONST char *filename, multi_array *multi_desc, ...)

DESCRIPTION
Write a data structure, guessing the output format.

filename
    The name of the dataset to write.

multi_desc
    The multi_array descriptor pointer. The routine will find a n-dimensional array within the data structure.

... The optional attributes are given as pairs of attribute-key attribute-value pairs. This list must be terminated with FA_FITS_GUESS_END. See <-foreign_ATT_GUESS_WRITE-> for a list of defined attributes.

RETURN VALUE
TRUE on succes, else FALSE.

Multi-threading Level
Unsafe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/